Index: trunk/HeuristicLab.Algorithms.GradientDescent/3.3/HeuristicLab.Algorithms.GradientDescent-3.3.csproj
===================================================================
--- trunk/HeuristicLab.Algorithms.GradientDescent/3.3/HeuristicLab.Algorithms.GradientDescent-3.3.csproj	(revision 15682)
+++ trunk/HeuristicLab.Algorithms.GradientDescent/3.3/HeuristicLab.Algorithms.GradientDescent-3.3.csproj	(revision 16565)
@@ -11,5 +11,5 @@
     <RootNamespace>HeuristicLab.Algorithms.GradientDescent</RootNamespace>
     <AssemblyName>HeuristicLab.Algorithms.GradientDescent-3.3</AssemblyName>
-    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
     <TargetFrameworkProfile />
@@ -113,9 +113,19 @@
       <Private>False</Private>
     </Reference>
+    <Reference Include="Google.Protobuf, Version=3.6.1.0, Culture=neutral, PublicKeyToken=a7d26565bac4d604, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\Google.Protobuf.3.6.1\lib\net45\Google.Protobuf.dll</HintPath>
+    </Reference>
+    <Reference Include="HEAL.Attic, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\HEAL.Attic.1.0.0-pre01\lib\netstandard2.0\HEAL.Attic.dll</HintPath>
+    </Reference>
     <Reference Include="System" />
     <Reference Include="System.Core" />
     <Reference Include="System.Drawing" />
-  </ItemGroup>
-  <ItemGroup>
+    <Reference Include="System.Drawing.Common, Version=4.0.0.1, Culture=neutral, PublicKeyToken=cc7b13ffcd2ddd51, processorArchitecture=MSIL">
+      <HintPath>..\..\packages\System.Drawing.Common.4.5.1\lib\net461\System.Drawing.Common.dll</HintPath>
+    </Reference>
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="packages.config" />
     <None Include="Plugin.cs.frame" />
     <Compile Include="Lbfgs.cs" />
Index: trunk/HeuristicLab.Algorithms.GradientDescent/3.3/Lbfgs.cs
===================================================================
--- trunk/HeuristicLab.Algorithms.GradientDescent/3.3/Lbfgs.cs	(revision 15682)
+++ trunk/HeuristicLab.Algorithms.GradientDescent/3.3/Lbfgs.cs	(revision 16565)
@@ -2,5 +2,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -31,5 +31,5 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.Random;
 
@@ -40,5 +40,5 @@
   [Item("LM-BFGS", "The limited-memory BFGS (BroydenFletcherGoldfarbShanno) optimization algorithm.")]
   [Creatable(CreatableAttribute.Categories.SingleSolutionAlgorithms, Priority = 160)]
-  [StorableClass]
+  [StorableType("55E85596-0FC7-41B5-9B90-9A8BF33B7C55")]
   public sealed class LbfgsAlgorithm : HeuristicOptimizationEngineAlgorithm, IStorableContent {
     public override Type ProblemType {
@@ -104,5 +104,5 @@
 
     [StorableConstructor]
-    private LbfgsAlgorithm(bool deserializing) : base(deserializing) { }
+    private LbfgsAlgorithm(StorableConstructorFlag _) : base(_) { }
     private LbfgsAlgorithm(LbfgsAlgorithm original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Algorithms.GradientDescent/3.3/LbfgsAnalyzer.cs
===================================================================
--- trunk/HeuristicLab.Algorithms.GradientDescent/3.3/LbfgsAnalyzer.cs	(revision 15682)
+++ trunk/HeuristicLab.Algorithms.GradientDescent/3.3/LbfgsAnalyzer.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -29,8 +29,8 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Algorithms.GradientDescent {
-  [StorableClass]
+  [StorableType("7BE2AE6F-BC67-4F98-9C4F-9D077E9A4E3B")]
   [Item(Name = "LBFGS Analyzer", Description = "Analyzer to collect results for the LM-BFGS algorithm.")]
   public sealed class LbfgsAnalyzer : SingleSuccessorOperator, IAnalyzer {
@@ -89,5 +89,5 @@
 
     [StorableConstructor]
-    private LbfgsAnalyzer(bool deserializing) : base(deserializing) { }
+    private LbfgsAnalyzer(StorableConstructorFlag _) : base(_) { }
     private LbfgsAnalyzer(LbfgsAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public LbfgsAnalyzer()
Index: trunk/HeuristicLab.Algorithms.GradientDescent/3.3/LbfgsInitializer.cs
===================================================================
--- trunk/HeuristicLab.Algorithms.GradientDescent/3.3/LbfgsInitializer.cs	(revision 15682)
+++ trunk/HeuristicLab.Algorithms.GradientDescent/3.3/LbfgsInitializer.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -28,8 +28,8 @@
 using HeuristicLab.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Algorithms.GradientDescent {
-  [StorableClass]
+  [StorableType("649D495C-EBEA-4627-8552-989F80C04545")]
   [Item(Name = "LBFGS Initializer", Description = "Initializes the necessary data structures for the LM-BFGS algorithm.")]
   public sealed class LbfgsInitializer : SingleSuccessorOperator {
@@ -69,5 +69,5 @@
 
     [StorableConstructor]
-    private LbfgsInitializer(bool deserializing) : base(deserializing) { }
+    private LbfgsInitializer(StorableConstructorFlag _) : base(_) { }
     private LbfgsInitializer(LbfgsInitializer original, Cloner cloner) : base(original, cloner) { }
     public LbfgsInitializer()
Index: trunk/HeuristicLab.Algorithms.GradientDescent/3.3/LbfgsMakeStep.cs
===================================================================
--- trunk/HeuristicLab.Algorithms.GradientDescent/3.3/LbfgsMakeStep.cs	(revision 15682)
+++ trunk/HeuristicLab.Algorithms.GradientDescent/3.3/LbfgsMakeStep.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,8 +26,8 @@
 using HeuristicLab.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Algorithms.GradientDescent {
-  [StorableClass]
+  [StorableType("DC5D8418-FD1E-4D4C-AEF6-79F77AD8A5D9")]
   [Item(Name = "LBFGS MakeStep", Description = "Makes a step in the LM-BFGS optimization algorithm.")]
   public sealed class LbfgsMakeStep : SingleSuccessorOperator {
@@ -54,5 +54,5 @@
 
     [StorableConstructor]
-    private LbfgsMakeStep(bool deserializing) : base(deserializing) { }
+    private LbfgsMakeStep(StorableConstructorFlag _) : base(_) { }
     private LbfgsMakeStep(LbfgsMakeStep original, Cloner cloner) : base(original, cloner) { }
     public LbfgsMakeStep()
Index: trunk/HeuristicLab.Algorithms.GradientDescent/3.3/LbfgsState.cs
===================================================================
--- trunk/HeuristicLab.Algorithms.GradientDescent/3.3/LbfgsState.cs	(revision 15682)
+++ trunk/HeuristicLab.Algorithms.GradientDescent/3.3/LbfgsState.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,8 +25,8 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Algorithms.GradientDescent {
-  [StorableClass]
+  [StorableType("2A117076-0311-4F85-A1B9-16F39D5752DE")]
   [Item("LbfgsState", "Internal state for the limited-memory BFGS optimization algorithm.")]
   public sealed class LbfgsState : Item {
@@ -35,6 +35,5 @@
 
     [StorableConstructor]
-    private LbfgsState(bool deserializing)
-      : base(deserializing) {
+    private LbfgsState(StorableConstructorFlag _) : base(_) {
       state = new alglib.minlbfgs.minlbfgsstate();
     }
Index: trunk/HeuristicLab.Algorithms.GradientDescent/3.3/LbfgsUpdateResults.cs
===================================================================
--- trunk/HeuristicLab.Algorithms.GradientDescent/3.3/LbfgsUpdateResults.cs	(revision 15682)
+++ trunk/HeuristicLab.Algorithms.GradientDescent/3.3/LbfgsUpdateResults.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,8 +27,8 @@
 using HeuristicLab.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Algorithms.GradientDescent {
-  [StorableClass]
+  [StorableType("926B028B-4EAA-48DD-8920-BCED7274AC77")]
   [Item(Name = "LBFGS UpdateResults", Description = "Sets the results (function value and gradients) for the next optimization step in the LM-BFGS algorithm.")]
   public sealed class LbfgsUpdateResults : SingleSuccessorOperator {
@@ -77,5 +77,5 @@
 
     [StorableConstructor]
-    private LbfgsUpdateResults(bool deserializing) : base(deserializing) { }
+    private LbfgsUpdateResults(StorableConstructorFlag _) : base(_) { }
     private LbfgsUpdateResults(LbfgsUpdateResults original, Cloner cloner) : base(original, cloner) { }
     public LbfgsUpdateResults()
Index: trunk/HeuristicLab.Algorithms.GradientDescent/3.3/Plugin.cs.frame
===================================================================
--- trunk/HeuristicLab.Algorithms.GradientDescent/3.3/Plugin.cs.frame	(revision 15682)
+++ trunk/HeuristicLab.Algorithms.GradientDescent/3.3/Plugin.cs.frame	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Algorithms.GradientDescent/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- trunk/HeuristicLab.Algorithms.GradientDescent/3.3/Properties/AssemblyInfo.cs.frame	(revision 15682)
+++ trunk/HeuristicLab.Algorithms.GradientDescent/3.3/Properties/AssemblyInfo.cs.frame	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
Index: trunk/HeuristicLab.Algorithms.GradientDescent/3.3/packages.config
===================================================================
--- trunk/HeuristicLab.Algorithms.GradientDescent/3.3/packages.config	(revision 16565)
+++ trunk/HeuristicLab.Algorithms.GradientDescent/3.3/packages.config	(revision 16565)
@@ -0,0 +1,6 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<packages>
+  <package id="Google.Protobuf" version="3.6.1" targetFramework="net461" />
+  <package id="HEAL.Attic" version="1.0.0-pre01" targetFramework="net461" />
+  <package id="System.Drawing.Common" version="4.5.1" targetFramework="net461" />
+</packages>
